Subject: Re: [bug#30701] [PATCH 1/3] services: Rework the PostgreSQL config file to use a record type.
From: Christopher Baines <[email-masked]>
To: Clément Lassieur <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Mar 2018 17:37:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry, I made some changes, and merged these patches on the weekend, but
I forgot to reply.

Clément Lassieur <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> For the default config file representation. This makes it possible to more
>> easily change the configuration file, and have dynamic content. In particular,
>> I'm looking at adding a pid file location to the config file.
>
>                              ^
> Could you please remove this last sentence (with the pid file)?

Done.

>> * gnu/services/databases.scm (<postgresql-config-file>): New record type.
>> (%default-postgres-config): Remove this, it's been replaced by the
>> configuration file.
>> (<postgresql-configuration>): Alter the default for the config file field.
>> (postgresql-service): Alter the default value for the config-file parameter.
>> ---
>>  gnu/services/databases.scm | 86 +++++++++++++++++++++++++++++++++++-----------
>>  1 file changed, 66 insertions(+), 20 deletions(-)
>>
>> diff --git a/gnu/services/databases.scm b/gnu/services/databases.scm
>> index 3ca8f471f..f7d5fffd0 100644
>> --- a/gnu/services/databases.scm
>> +++ b/gnu/services/databases.scm
>> @@ -26,11 +26,20 @@
>>    #:use-module (gnu system shadow)
>>    #:use-module (gnu packages admin)
>>    #:use-module (gnu packages databases)
>> +  #:use-module (guix store)
>
> I don't think (guix store) is used.  Is it?

It wasn't, I've removed it.

>>    #:use-module (guix modules)
>>    #:use-module (guix records)
>>    #:use-module (guix gexp)
>
> ...
>
>> +        `(("log_destination" ,@(with-single-quotes log-destination))
>> +          ("hba_file" ,@(with-single-quotes hba-file))
>> +          ("ident_file" ,@(with-single-quotes ident-file))
>                                     ^
> Could you please use a shorter name?  Like "enclose", so that we won't
> go over 80 columns too easily :-).

I went with quote' as I think that works well.

> Apart from those small things, the three patches LGTM.  Thank you
> again!

Thanks for taking a look and for your comments :)

Chris